Subject: Re: Corrected: setup.exe beta (testing needed - really!)
From: "Max Bowsher" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 26 Mar 2003 22:52:07 -0000

Robert Collins wrote:
> Max Bowsher wrote:
>> Robert Collins wrote:
>>
>>> On Thu, 2003-03-27 at 02:24, Vince Hoffman wrote:
>>>
>>>> Havent a clean system to try a full install. however on running it to
>>>> upgrade/add packages  the first run crashed .
>>>> on the second run all was fine and componants were added/updated
>>>> perfectly. I tried running a few more times to reproduce the crash and
>>>> on average about one in 5 times (very rough average) it crashed.(see
>>>> attached drwatson crashlog) for log of 2 of these crashes.
>>
>>
>> I'm getting this too - but only on my desktop - not my laptop.
>>
>> Crash frequency is only 1 in 20, as well.
>>
>>
>>> Ok, well this is 'not good' :}.
>>>
>>> At what point does it crash?
>>
>>
>> Before the splash page appears.
>
> Ah. Can you reproduce it under gdb? If not, can you generate the line
> numbers from the addresses in the backtrace (hint: fire up gdb, load the
> .exe that you used to provoke the problem, and then
> list *0x000223344 )

No, can't reproduce inside gdb.

The address of the crash is in the system DLL area.

I will download Dr. MinGW, and try to get a backtrace that way.

I suggest relocating this thread to cygwin-apps. I will post my next message
there, unless told otherwise.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/